<?php
/*
 *******************************************
 plugin JUpload for Coppermine Photo Gallery
 *******************************************

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 ********************************************
 $Revision: 185 $
 $Author: etienne_sf $
 $Date: 2008-03-12 20:26:16 +0100 (mer., 12 mars 2008) $
 ********************************************
 *
 * Allows easy upload to the gallery, through a java applet. 
 * 
 * Up to date version of this script can be retrieved with the full JUpload package, here:
 * 
 * http://etienne.lesgauthier.fr/wiki
 * 
 * Directly here:
 * http://etienne.lesgauthier.fr/wiki/doku.php?id=jupload_coppermine_download_gb
 * 
 * Support is available on this forum:
 * http://coppermine-gallery.net/forum/index.php?topic=43432
 * 
 * The applet is published on sourceforge:
 * http://jupload.sourceforge.net
 * 
 */


if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...');}
if (!defined('JUPLOAD_PHP')) { die('Not in Jupload...');}

	//We clear the current output, as the output of this script will contain only some javascript commands.
	ob_end_clean();
	header('Content-Type: text/plain; charset="UTF-8');
	ob_start();  //Flush is done by jupload.php	
	
	echo("//category: $category\n");
	echo("document.form_album.category.value=$category;\n");
	
	//The line below is for debug only.	
	//echo("alert($category);\n");	

	//First: empty the album list
	echo ("document.form_album.album.length = 0;\n");
	echo ("document.form_album.album.options[0]=new Option('" 
			. prepare_js_string($lang_upload_php['select_album'])
			. "', '');\n");
	
	//Then: fill it.
	
	//jupload.php already checked that the $category is correct.
	if (GALLERY_ADMIN_MODE) {
		$result = cpg_db_query(
				" SELECT aid, title, description " .
				" FROM {$CONFIG['TABLE_ALBUMS']} " .
				" WHERE category = $category " .
				" ORDER BY UPPER(title)"
				);
	} else if ($category == FIRST_USER_CAT+USER_ID) {
		//The user may see all albums of his/her own gallery!
		$result = cpg_db_query(
				" SELECT aid, title, description " .
				" FROM {$CONFIG['TABLE_ALBUMS']} " .
				" WHERE category = $category " .
				" ORDER BY UPPER(title)"
				);
	} else {
		$result = cpg_db_query(
				" SELECT aid, title, description " .
				" FROM {$CONFIG['TABLE_ALBUMS']} " .
				" WHERE category = $category " .
				" AND uploads='YES' AND (visibility = '0' OR visibility IN ".USER_GROUP_SET.") " .
				" ORDER BY UPPER(title)"
				);
	}

	$i=0;
	while ($row = mysql_fetch_array($result)) {
		$i = $i + 1;
		echo ("document.form_album.album.options[$i]=new Option('"
			. prepare_js_string($row['title']) 
			. "', '"
			. $row['aid'] 
			. "');\n");
		echo ("description['"
			. $row['aid'] 
			. "'] = '"
			. prepare_js_string($row['description']) 
			. "';\n");
	}

